{
    attributes = (
        {
            columnName = "CAN_CODE"; 
            externalType = VARCHAR2; 
            name = canCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CAN_FERMETURE"; 
            externalType = DATE; 
            name = canFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CAN_ID_PERE"; 
            externalType = NUMBER; 
            name = canIdPere; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "CAN_LIBELLE"; 
            externalType = VARCHAR2; 
            name = canLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CAN_MONTANT"; 
            externalType = NUMBER; 
            name = canMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "CAN_NIVEAU"; 
            externalType = NUMBER; 
            name = canNiveau; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CAN_OUVERTURE"; 
            externalType = DATE; 
            name = canOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "CAN_PUBLIC"; 
            externalType = NUMBER; 
            name = canPublic; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CAN_UTILISABLE"; 
            externalType = NUMBER; 
            name = canUtilisable; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYET_ID"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        canId, 
        canCode, 
        canLibelle, 
        canPublic, 
        canUtilisable, 
        tyetId, 
        canIdPere, 
        canOuverture, 
        canFermeture, 
        canNiveau, 
        utlOrdre, 
        canMontant
    ); 
    className = "org.cocktail.application.serveur.eof.EOCodeAnal"; 
    classProperties = (
        canCode, 
        canLibelle, 
        canPublic, 
        canUtilisable, 
        tyetId, 
        canOuverture, 
        canFermeture, 
        canNiveau, 
        utlOrdre, 
        canMontant, 
        typeEtat, 
        typeEtatUtilisable
    ); 
    externalName = "jefy_admin.CODE_ANALYTIQUE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            canCode, 
            canLibelle, 
            canPublic, 
            canUtilisable, 
            tyetId, 
            canOuverture, 
            canFermeture, 
            canNiveau, 
            utlOrdre, 
            canMontant, 
            typeEtat, 
            typeEtatUtilisable
        ); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOCodeAnal"; 
    }; 
    isReadOnly = Y; 
    name = "ca_CodeAnal"; 
    primaryKeyAttributes = (canId); 
    relationships = (
        {
            destination = "ca_TypeEtat"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }, 
        {
            destination = "ca_TypeEtat"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = canUtilisable; }); 
            name = typeEtatUtilisable; 
        }
    ); 
}
